using System;
using System.Collections.Generic;

namespace NamestanjeGlasova_PrviKrug
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] prva_linija = Console.ReadLine().Split(' ');
            int n = int.Parse(prva_linija[0]);
            int q = int.Parse(prva_linija[1]);
            List<int> niz = new List<int>(n);
            string[] druga_linija = Console.ReadLine().Split(' ');
            int[] brojevi = new int[q];
            int broj_levo = 0;
            int broj_desno = n - 1;
            int zavisna = 0; //ovo koristim da proverim da li je neki medijana dodat ili ne, 
                             //a vrednost postavljamo na nulu kada treba da se predje na sledeci scenario
            for (int i = 0; i < n; i++)
            {
                niz.Add(int.Parse(druga_linija[i]));
            }
            niz.Sort();
            string[] treca_linija = Console.ReadLine().Split(' ');
            for (int i = 0; i < q; i++)
            {
                brojevi[i] = int.Parse(treca_linija[i]);
            }
            foreach (int medijana in brojevi)
            {
                for (int i = 0; i < n; i++)
                {
                    if (niz.Contains(medijana))
                    {
                        if (niz[i] == medijana)
                        {
                            broj_levo = i;
                            broj_desno = n - i - 1;
                        }
                    }
                    else
                    {
                        niz.Add(medijana);
                        n++;
                        zavisna = 1;
                        niz.Sort();
                        if (niz[i] == medijana)
                        {
                            broj_levo = i;
                            broj_desno = n - i - 1;
                        }
                    }
                    
                }
                if (broj_levo == broj_desno || broj_levo == (broj_desno - 1)) Console.WriteLine("0");
                else Console.WriteLine(broj_levo - broj_desno - 1 + zavisna);
                if (zavisna == 1)
                {
                    n--;
                    zavisna = 0;
                    niz.Remove(medijana);
                }
            }
        }
    }
}